Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Bouncing
SDTControl.h: Compound solid interactions

## Typedefs
typedef struct SDTBouncing | SDTBouncing
| Opaque data structure for the crumpling object.

## Functions
SDTBouncing * | SDTBouncing_new ()
| Object constructor. More...
void | SDTBouncing_free (SDTBouncing *x)
| Object destructor. More...
void | SDTBouncing_setRestitution (SDTBouncing *x, double f)
| Sets the coefficient of restitution. More...
void | SDTBouncing_setHeight (SDTBouncing *x, double f)
| Sets the initial height of the falling object. More...
void | SDTBouncing_setIrregularity (SDTBouncing *x, double f)
| Sets the irregularity of the shape of the object. More...
void | SDTBouncing_reset (SDTBouncing *x)
| Resets the bouncing process, restoring its initial energy.
double | SDTBouncing_dsp (SDTBouncing *x)
| Single iteration of the whole buncing process. Call this routine in a loop to simulate the bouncing process. The loop should end when SDTBouncing_hasFinished() returns true. More...
int | SDTBouncing_hasFinished (SDTBouncing *x)
| Checks if the bouncing process is finished, i.e. if the remaining energy is 0. More...

## Detailed Description

Control layer for the impact model, generating (irregular) bouncing sonic textures. The output should be used to control the impact velocity between two resonators.

## Function Documentation

double SDTBouncing_dsp | ( | SDTBouncing * | x | ) |

Single iteration of the whole buncing process. Call this routine in a loop to simulate the bouncing process. The loop should end when SDTBouncing_hasFinished() returns true.

Returns
  Impact velocity of the bounce

void SDTBouncing_free | ( | SDTBouncing * | x | ) |

Object destructor.

Parameters

  [in] | x | Pointer to the instance to destroy

int SDTBouncing_hasFinished | ( | SDTBouncing * | x | ) |

Checks if the bouncing process is finished, i.e. if the remaining energy is 0.

Returns
  1 (true) if the remaining energy is <= 0, 0 (false) otherwise.

SDTBouncing* SDTBouncing_new | ( |  | ) |

Object constructor.

Returns
  Pointer to the new instance

void SDTBouncing_setHeight | ( | SDTBouncing * | x,
|  | double | f
| ) |  |

Sets the initial height of the falling object.

Parameters

  [in] | f | Object height, in m.

void SDTBouncing_setIrregularity | ( | SDTBouncing * | x,
|  | double | f
| ) |  |

Sets the irregularity of the shape of the object.

Parameters

  [in] | f | Object shape irregularity (deviation from a spherical shape) [0,1]

void SDTBouncing_setRestitution | ( | SDTBouncing * | x,
|  | double | f
| ) |  |

Sets the coefficient of restitution.

Parameters

  [in] | f | Coefficient of restitution of the bouncing process